# vim:tw=0:ts=4:sw=4:et

%define version 6.0.29
%define visversion 1.0.0
%define initscriptname tomcat 
%define warfile /usr/share/maven2/repository/com/dell/vis/portal/VISPortal/*/*.war

%define java_arch %{nil}

%ifarch x86_64
%define java_arch .x86_64
%endif

Name:           apache-tomcat
Version:        %{version}
Release:        38.1
Summary:        Open source software implementation of Java Servlet and JavaServer Pages technologies
Group:          Applications/System
License:        Apache
URL:            http://fusesource.com/
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{initscriptname}
Source2:        apache-tomcat-cfg-%{visversion}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

#Requires: java-1.6.0-openjdk-devel
#%define java_home /usr/lib/jvm/java-1.6.0-openjdk%{java_arch}
Requires: jdk vis-core
%define java_home /usr/java/latest

%description
Apache Tomcat powers numerous large-scale, mission-critical web applications across a diverse range of industries and organizations

%prep

%build

%check

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true

mkdir -p %{buildroot}/opt
mkdir -p %{buildroot}/etc/profile.d

#untar tomcat and rename the folder
tar xvjf %{SOURCE0} -C %{buildroot}/opt
mv %{buildroot}/opt/%{name}-%{version} %{buildroot}/opt/%{name}
tar xvjf %{SOURCE2} -C %{buildroot}/opt/%{name}/

#export variables and add them to $PATH
cat <<EOT > %{buildroot}/etc/profile.d/%{name}.sh
export JAVA_HOME=%{java_home}
EOT

chmod +x %{buildroot}/etc/profile.d/%{name}.sh

#copy initscript
mkdir -p %{buildroot}/%{initscriptdir}
cp %{SOURCE1} %{buildroot}/%{initscriptdir}
chmod 755 %{buildroot}/%{initscriptdir}/%{initscriptname}

#remove the unused apps per pen test team request
rm -f -r %{buildroot}/opt/%{name}/webapps/manager
rm -f -r %{buildroot}/opt/%{name}/webapps/host-manager
rm -f -r %{buildroot}/opt/%{name}/webapps/examples
rm -f -r %{buildroot}/opt/%{name}/webapps/docs

%post
/etc/profile.d/%{name}.sh

#copy VISPortal war into ${CATALINA_HOME}/webapps/
if [ -f %{warfile} ]; then
    mkdir -p /opt/%{name}/webapps/VISPortal
    cd /opt/%{name}/webapps/VISPortal
    jar xvf %{warfile} 
    rm -rf /opt/%{name}/webapps/ROOT/*
    cp -rf /opt/%{name}/webapps/VISPortal/* /opt/%{name}/webapps/ROOT
else
    echo "Warning:Unable to locate VISPortal war file"
fi

InstallInitScript() {
        local INIT_SCRIPT_NAME=$1
        if [ -x /usr/lib/lsb/install_initd ]; then
                /usr/lib/lsb/install_initd %{initscriptdir}/${INIT_SCRIPT_NAME}
        elif [ -x /sbin/chkconfig ]; then
                /sbin/chkconfig --add ${INIT_SCRIPT_NAME}
        fi
}

if [ "$1" == "1" ]; then
        InstallInitScript %{initscriptname}
fi

%preun

UnInstallInitScript() {
        INIT_SCRIPT_NAME="${1}"
        /etc/init.d/${INIT_SCRIPT_NAME} stop
        if [ -x /usr/lib/lsb/remove_initd ]; then
                /usr/lib/lsb/remove_initd /etc/init.d/${INIT_SCRIPT_NAME} >/dev/null 2>&1
        elif [ -x /sbin/chkconfig ]; then
                /sbin/chkconfig --del ${INIT_SCRIPT_NAME}
        fi
}

if [ $1 = 0 ]; then # ERASE  
        # Uninstall the rc startup script links  
        UnInstallInitScript %{initscriptname}
fi

#delete contents webapps folder
if [ -f %{warfile} ]; then
    rm -rf /opt/%{name}/webapps/*
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/opt/*
%{initscriptdir}/*
%config /etc/profile.d/%{name}.sh

%changelog
* Mon Oct 08 2010 Prudhvi Tella <prudhvi_tella@dell.com> 2.2.1-1
- Initial packaging
